import { getBillList } from "../../service/accounting"
import { alertInfo } from "../../utils/index";
import request from '../../utils/request'
const { OK } = request;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    page: 1,
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init();
  },
  async init() {
    const { page, list } = this.data;
    const { code, data, message } = await getBillList(page)
    if (!data?.length) {
      alertInfo("没有更多了")
      return;
    }
    this.setData({
      list: [...list, ...data],
      page: page + 1,
    })
  },
  jumpToDetail(e) {
    const { id: report } = e.currentTarget.dataset
    wx.navigateTo({
      url: '/childPackage/pages/billDetail/index?id=' + report,
    })
  },
})